View Single Post
Old 01-24-03, 01:21 AM   #1
Hero_Shema
Registered User
 
Join Date: Jan 2003
Posts: 7
Default problem installing nv kernel for RH kernel 2.4.18_19

I have a problem with my GeForce4 Ti4600 kernel driver for red hat 8. I'm running kernel 2.4.18-19.0 First, I tried to install the rpm (NVIDIA_kernel-1.0-4191.rh80up_2.4.18_18.8.0.i686.rpm). I got this error:

[modprobe: can't locate module nvidia. Failed to install nvidia.o]

Thus, I figured out It might have been that I needed a specific rpm, a rh80up-2.4.18-19.0 that matches my kernel version, which doesn't exist. So, I tried to install by SRPM (NVIDIA_kernel-1.0-4191.src.rpm). However, I got the following error:

[install: can't stat 'nvidia.o': no such file or directory]



So finally, I tired to install by the tar file (NVIDIA_kernel-1.0-4191.tar.gz). I got so many compilation errors in nv.c!!! The error message was:

[errors in nv.c
make: ***[nv.o] Error1]

Which makes me think may be it has to do with the compiler version. May be I should use the same exact compiler version used to compile my rh kernel to compile the nv drivers!!!

Can any one give me an insight of what is the problem? I've followed the instructions in the nvidia documentation; not very helpful unfortunately
__________________
It is an old observation that the best writers sometimes discard the rules of rhetoric. When they do so, however, the reader will usually find in the sentence a compensating merit, attained at the cost of violation. Unless he is certain of doing as well, he will probably do best to follow the rules.

William Strunk and E. B. White, The Elements of Style
Hero_Shema is offline   Reply With Quote